Missing dependency

Bug #1715219 reported by Daniel Nicoletti on 2017-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdeplasma-addons (Ubuntu)
High
Unassigned
Zesty
High
Simon Quigley
Artful
High
Unassigned

Bug Description

[Impact]
Without this updates, users are left with a Plasmoid that is not functional, and users that do not know how to install the additional dependency are left with a broken Plasmoid. This is a regression from 16.10, where this is functional.

[Test Case]
Try to load the Fast Sharing Plasmoid on a fresh Kubuntu 17.04 install.

Expected: It opens the Plasmoid and it works as intended.
Actual result: It does work correctly, and segfaults on launch.

[Regression Potential]
The regression potential is minimal because the only change is adding a dependency on a package that Kubuntu already maintains and that works correctly to the best of our knowledge. If for some odd reason qml-module-org-kde-purpose breaks, it could cause a regression. (Again, this is unlikely).

[Original Description]
"fast sharing" plasmoid, the one that shares on pastebin, twitter and so on is missing a dependency on qml-module-org-kde-purpose

Rik Mills (rikmills) wrote :

Confirmed

If I make sure that qml-module-org-kde-purpose is not installed, on loading the plasmoid I get:

Error loading QML file: file:///usr/share/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/main.qml:134:5: Type ShowUrlDialog unavailable
file:///usr/share/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/ShowUrlDialog.qml:24:1: module "org.kde.purpose" is not installed

Changed in kdeplasma-addons (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in kdeplasma-addons (Ubuntu Zesty):
status: New → Confirmed
importance: Undecided → High
Rik Mills (rikmills) on 2017-09-05
Changed in kdeplasma-addons (Ubuntu Artful):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.10.5-0ubuntu2

---------------
kdeplasma-addons (4:5.10.5-0ubuntu2) artful; urgency=medium

  * Add missing qml-module-org-kde-purpose dependency to plasma-widgets-addons
    which is required for the quickshare plasmoid (LP: #1715219)

 -- Rik Mills <email address hidden> Tue, 05 Sep 2017 20:30:23 +0100

Changed in kdeplasma-addons (Ubuntu Artful):
status: Fix Committed → Fix Released
Simon Quigley (tsimonq2) on 2017-09-05
description: updated
Changed in kdeplasma-addons (Ubuntu Zesty):
status: Confirmed → In Progress
assignee: nobody → Simon Quigley (tsimonq2)
milestone: none → zesty-updates

Hello Daniel, or anyone else affected,

Accepted kdeplasma-addons into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kdeplasma-addons/4:5.9.5-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kdeplasma-addons (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-zesty
Simon Quigley (tsimonq2) wrote :

A mistake was made in the Zesty upload, qml-module-org-kde-purpose was added as a build dep rather than a dependency when installing.

How would I go about fixing this at this point (with a package in -proposed already), does someone remove it from -proposed and I upload the fixed version with the same version, or so I have to upload as ubuntu0.3?

tags: added: verification-failed verification-failed-zesty
removed: verification-needed verification-needed-zesty
Changed in kdeplasma-addons (Ubuntu Zesty):
status: Fix Committed → In Progress

On 16/09/17 23:51, Simon Quigley wrote:
> A mistake was made in the Zesty upload, qml-module-org-kde-purpose was
> added as a build dep rather than a dependency when installing.

Also to the point, why did you make that Zesty upload that in my name
(on the changelog)?

I did not make that upload, nor was I asked about it. This is the first
I know of it. If I had been asked, I would have put the fixed dependency
in the correct place.

Rik Mills (rikmills) wrote :

Actually, slight apology there, as I was preparing the changes in our packaging git. Scary how 11 days = already forgetting what you had done!

Still, it appears changes for that upload were grabbed from the wrong packaging git revision (not updating a clone?) or grabbing the wrong staging ppa upoad. The tip has the correct packaging for the dependency.

Simon Quigley (tsimonq2) wrote :

Yeah, it seems like it was bad timing and I didn't catch it... apologies!

Simon Quigley (tsimonq2) wrote :

I uploaded a correct version to Zesty, should be fine now.

Hello Daniel, or anyone else affected,

Accepted kdeplasma-addons into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kdeplasma-addons/4:5.9.5-0ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kdeplasma-addons (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-zesty
removed: verification-failed verification-failed-zesty
Simon Quigley (tsimonq2) wrote :

This now works correctly for me on a Kubuntu 17.04 install.

Apologies for the delay!

tags: added: verification-done verification-done-zesty
removed: verification-needed verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdeplasma-addons - 4:5.9.5-0ubuntu0.3

---------------
kdeplasma-addons (4:5.9.5-0ubuntu0.3) zesty; urgency=high

  * Put qml-module-org-kde-purpose in the correct spot (LP: #1715219).

 -- Simon Quigley <email address hidden> Wed, 20 Sep 2017 22:43:34 -0500

Changed in kdeplasma-addons (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kdeplasma-addons has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers